Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.core
Interface PreparedStatementSetter

    public interface PreparedStatementSetter

General callback interface used by the `JdbcTemplate` class.

This interface sets values on a `PreparedStatement` provided by the JdbcTemplate class, for each of a number of updates in a batch using the same SQL. Implementations are responsible for setting any necessary parameters. SQL with placeholders will already have been supplied.

It's easier to use this interface than `PreparedStatementCreator`: The JdbcTemplate will create the PreparedStatement, with the callback only being responsible for setting parameter values.

Implementations do not need to concern themselves with SQLExceptions that may be thrown from operations they attempt. The JdbcTemplate class will catch and handle SQLExceptions appropriately.

Since:
  March 2, 2003
Author:
  Rod Johnson
See Also:
  `JdbcTemplate.update(String, PreparedStatementSetter)`, `JdbcTemplate.query(String, PreparedStatementSetter, ResultSetExtractor)`

Method Summary
`void` | `setValues(PreparedStatement ps)` Set parameter values on the given PreparedStatement.

Method Detail

### setValues

    void setValues(PreparedStatement ps)
                   throws SQLException

  Set parameter values on the given PreparedStatement.

  Parameters:
    `ps` - the PreparedStatement to invoke setter methods on
  Throws:
    `SQLException` - if a SQLException is encountered (i.e. there is no need to catch SQLException)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD